#!/bin/bash

if [[ "$EUID" = 0 ]]
then
    echo "Please run without sudo."
    exit 0
fi

if [ ! -d ~/.config/nitrogen/ ]
then
    echo "You don't have nitrogen installed! Please install it."
    exit 0
fi

echo "Now exporting default config file to ~/.config/nitrogen/.nitrogen-random"
echo "#Path to bg-saved.cfg of nitrogen, must be in your ~/.config/nitrogen folder." > ~/.config/nitrogen/.nitrogen-random
echo "nBGSAVED=/home/${USER}/.config/nitrogen/bg-saved.cfg" >> ~/.config/nitrogen/.nitrogen-random
echo " " >> ~/.config/nitrogen/.nitrogen-random
echo "#Path to a folder where all your wallpapers are located." >> ~/.config/nitrogen/.nitrogen-random
echo "nWALLPAPERS=/home/${USER}/Pictures/" >> ~/.config/nitrogen/.nitrogen-random
echo " " >> ~/.config/nitrogen/.nitrogen-random
echo "#Nitrogen policy for resizing and scaling." >> ~/.config/nitrogen/.nitrogen-random
echo "nMODE=4" >> ~/.config/nitrogen/.nitrogen-random

echo "nitrogen-random will read config from ~/.config/ folder of ${USER}."
decided=false
while [ "$decided" == false ]
do
    echo "Choose an option:"
    echo "1) It's okay, the config will be in /home/${USER}/.config/nitrogen/"
    echo "2) No, I want to set the path on my own."
    read input
    if [ "$input" == "1" ]
    then
        decided=true
        sed -i "s/{username}/${USER}/" nitrogen-random        
    elif [ "$input" == "2" ]
    then
        decided=true
        echo "Please write path to the config file in /usr/local/bin/nitrogen-random manually!"
    fi 
done

chmod u+x ./nitrogen-random
echo "Ready to install ./nitrogen-random to /usr/local/bin/"
sudo cp -f ./nitrogen-random /usr/local/bin/
sudo chown ${USER} /usr/local/bin/nitrogen-random

echo " "
echo "    All done! (>  < ) "
